
//Titel:        Layout
//Version:
//Copyright:    Copyright (c) 1999
//Autor:       Ihr Name
//Organisation:      Ihre Organisation
//Beschreibung:  Ihre Beschreibung

// 
// Editorzeile mit Schaltern 
// kein Layout


import java.awt.*;
import javax.swing.*;

import java.awt.event.*;


public class No_Layout extends JFrame {

  JLabel Label1 = new JLabel();
  JTextField TName = new JTextField();

  JButton BnOk = new JButton();
  JButton BnEsc = new JButton();

  public No_Layout() {
    setSize(500, 230);  // width Height
    setTitle("Frame ohne Layout");
    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
	 setGUI();
  }

  private void setGUI() {
    this.getContentPane().setLayout( null );

    Label1.setText("Name");
    TName.setText("-");

    BnOk.setText("Ok");
    BnEsc.setText("Abbruch");

    this.getContentPane().add(Label1);
    Label1.setBounds(10, 10, 80, 40); // x/y   width height
    Label1.setFont( new Font("Arial", Font.BOLD,28));

    this.getContentPane().add(TName);
    TName.setBounds(130, 10, 300, 40); // x/y   width height
    TName.setFont( new Font("Arial", Font.BOLD,28));

    this.getContentPane().add(BnOk);
    BnOk.setBounds(80, 100, 120, 40); // x/y   width height
    BnOk.setFont( new Font("Arial", Font.BOLD,28));

    this.getContentPane().add(BnEsc);
    BnEsc.setBounds(220, 100, 160, 40); // x/y   width height
    BnEsc.setFont( new Font("Arial", Font.BOLD,28));

    Label1.setFont( new Font("Arial", Font.BOLD,18)  );
    TName.setFont( new Font("Arial", Font.BOLD,18)  );
    BnOk.setFont( new Font("Arial", Font.BOLD,18)  );
    BnEsc.setFont( new Font("Arial", Font.BOLD,18)  );

  }  // setGUI



  public static void main(String[] args) {
    No_Layout frame = new No_Layout();
    frame.setVisible(true);
 }

}



